/**
 * NumberOfZeroDigits.java
 *
 *	Solution for HW5 Ex.3
 */

public class NumberOfZeroDigits {

  public static void main( String args[] )
  {
    System.out.println( numberOfZeroDigits(0) );
    System.out.println( numberOfZeroDigits(100) );
    System.out.println( numberOfZeroDigits(10001) );
    System.out.println( numberOfZeroDigits(1230450) );
  }

  /**
   * Counts the number of 0 digits in an integers. Note that this version
   * return 0 instead of 1 when the given number is 0.
   */
  public static int numberOfZeroDigits( int num )
  {
    // ending condition
    if( num == 0 ) return 0;

    if( num % 10 == 0 ) return 1 + numberOfZeroDigits( num/10 );
    else
      return numberOfZeroDigits( num/10 );
  }

} // end of class NumberOfZeroDigits


